<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: Nu-LB-Mini51/src/lcd_driver.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_2257da8f9ae81bafff8ef39204f6b7df.html">Nu-LB-Mini51</a></li><li class="navelem"><a class="el" href="../../dir_97b8181d9a45c5ab0b3b58a411b81586.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">lcd_driver.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>MINI51 series LCD Module library source file.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="../../dd/dee/lcd__driver_8h_source.html">lcd_driver.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for lcd_driver.c:</div>
<div class="dyncontent">
<div class="center"><img src="../../df/d0e/lcd__driver_8c__incl.png" border="0" usemap="#a_nu-_l_b-_mini51_2src_2lcd__driver_8c" alt=""/></div>
<map name="a_nu-_l_b-_mini51_2src_2lcd__driver_8c" id="a_nu-_l_b-_mini51_2src_2lcd__driver_8c">
<area shape="rect" title="MINI51 series LCD Module library source file." alt="" coords="731,5,874,47"/>
<area shape="rect" href="../../de/d94/_mini51_series_8h.html" title="Mini51 series peripheral access layer header file. This file contains all the peripheral register&#39;s d..." alt="" coords="689,95,797,121"/>
<area shape="rect" href="../../dd/dee/lcd__driver_8h.html" title=" " alt="" coords="821,95,907,121"/>
<area shape="rect" title=" " alt="" coords="5,169,96,196"/>
<area shape="rect" href="../../dd/d6a/system___mini51_series_8h.html" title="Mini51 series system clock definition file." alt="" coords="121,169,279,196"/>
<area shape="rect" title=" " alt="" coords="303,169,369,196"/>
<area shape="rect" href="../../d9/d87/sys_8h.html" title="Mini51 series SYS driver header file." alt="" coords="393,169,447,196"/>
<area shape="rect" href="../../d3/d89/clk_8h.html" title="Mini51 series CLK driver header file." alt="" coords="472,169,523,196"/>
<area shape="rect" href="../../dc/d2f/acmp_8h.html" title="Mini51 series Analog Comparator(ACMP) driver header file." alt="" coords="547,169,613,196"/>
<area shape="rect" href="../../d7/d19/adc_8h.html" title="Mini51 series ADC driver header file." alt="" coords="637,169,691,196"/>
<area shape="rect" href="../../dc/d00/fmc_8h.html" title="MINI51 series FMC driver header file." alt="" coords="715,169,770,196"/>
<area shape="rect" href="../../d6/d7c/gpio_8h.html" title="Mini51 series GPIO driver header file." alt="" coords="794,169,851,196"/>
<area shape="rect" href="../../d5/daf/i2c_8h.html" title="Mini51 series I2C driver header file." alt="" coords="876,169,927,196"/>
<area shape="rect" href="../../d6/db9/pwm_8h.html" title="Mini51 series PWM driver header file." alt="" coords="951,169,1011,196"/>
<area shape="rect" href="../../da/d87/spi_8h.html" title="Mini51 series SPI driver header file." alt="" coords="1036,169,1087,196"/>
<area shape="rect" href="../../d5/dd0/timer_8h.html" title="Mini51 series TIMER driver header file." alt="" coords="1111,169,1174,196"/>
<area shape="rect" href="../../d2/d86/uart_8h.html" title="Mini51 series UART driver header file." alt="" coords="1198,169,1253,196"/>
<area shape="rect" href="../../d0/de2/wdt_8h.html" title="Mini51 series WDT driver header file." alt="" coords="1277,169,1331,196"/>
</map>
</div>
</div>
<p><a href="../../da/d9b/lcd__driver_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a60f7e004da7ab5f23d374ed1dd911518"><td class="memItemLeft" align="right" valign="top">static __INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d9b/lcd__driver_8c.html#a60f7e004da7ab5f23d374ed1dd911518">SpiWrite</a> (uint32_t u32Data)</td></tr>
<tr class="memdesc:a60f7e004da7ab5f23d374ed1dd911518"><td class="mdescLeft">&#160;</td><td class="mdescRight">Macro for SPI write method.  <a href="../../da/d9b/lcd__driver_8c.html#a60f7e004da7ab5f23d374ed1dd911518">More...</a><br /></td></tr>
<tr class="separator:a60f7e004da7ab5f23d374ed1dd911518"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa53c9d40f3aa552a9974cd55ac510cb3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d9b/lcd__driver_8c.html#aa53c9d40f3aa552a9974cd55ac510cb3">LCD_Init</a> (void)</td></tr>
<tr class="memdesc:aa53c9d40f3aa552a9974cd55ac510cb3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use SPI interface to configure LCD module.  <a href="../../da/d9b/lcd__driver_8c.html#aa53c9d40f3aa552a9974cd55ac510cb3">More...</a><br /></td></tr>
<tr class="separator:aa53c9d40f3aa552a9974cd55ac510cb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a5df5d88ea29e720056407861871089"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d9b/lcd__driver_8c.html#a9a5df5d88ea29e720056407861871089">SetPACA</a> (uint8_t PA, uint8_t CA)</td></tr>
<tr class="memdesc:a9a5df5d88ea29e720056407861871089"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configure start address of LCD.  <a href="../../da/d9b/lcd__driver_8c.html#a9a5df5d88ea29e720056407861871089">More...</a><br /></td></tr>
<tr class="separator:a9a5df5d88ea29e720056407861871089"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1dfcd39fc3529f25c6ff7e935301b91a"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d9b/lcd__driver_8c.html#a1dfcd39fc3529f25c6ff7e935301b91a">ShowChar</a> (uint8_t x, uint8_t y, uint8_t ascii_word)</td></tr>
<tr class="memdesc:a1dfcd39fc3529f25c6ff7e935301b91a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Show a char on LCD.  <a href="../../da/d9b/lcd__driver_8c.html#a1dfcd39fc3529f25c6ff7e935301b91a">More...</a><br /></td></tr>
<tr class="separator:a1dfcd39fc3529f25c6ff7e935301b91a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9283461e486666e1c2ddf4b0a7d66035"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d9b/lcd__driver_8c.html#a9283461e486666e1c2ddf4b0a7d66035">LCD_EnableBackLight</a> (void)</td></tr>
<tr class="memdesc:a9283461e486666e1c2ddf4b0a7d66035"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable back-light of LCD.  <a href="../../da/d9b/lcd__driver_8c.html#a9283461e486666e1c2ddf4b0a7d66035">More...</a><br /></td></tr>
<tr class="separator:a9283461e486666e1c2ddf4b0a7d66035"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf0d70390244c023aed14e7b088d047a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d9b/lcd__driver_8c.html#abf0d70390244c023aed14e7b088d047a">LCD_DisableBackLight</a> (void)</td></tr>
<tr class="memdesc:abf0d70390244c023aed14e7b088d047a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable back-light of LCD.  <a href="../../da/d9b/lcd__driver_8c.html#abf0d70390244c023aed14e7b088d047a">More...</a><br /></td></tr>
<tr class="separator:abf0d70390244c023aed14e7b088d047a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94fbeb72dc11e70385bf5e3730fddf33"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d9b/lcd__driver_8c.html#a94fbeb72dc11e70385bf5e3730fddf33">LCD_Print</a> (uint8_t line, char *str)</td></tr>
<tr class="memdesc:a94fbeb72dc11e70385bf5e3730fddf33"><td class="mdescLeft">&#160;</td><td class="mdescRight">Show a string on specific line.  <a href="../../da/d9b/lcd__driver_8c.html#a94fbeb72dc11e70385bf5e3730fddf33">More...</a><br /></td></tr>
<tr class="separator:a94fbeb72dc11e70385bf5e3730fddf33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25e1f60dd77e50ae7ded44a431214c62"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d9b/lcd__driver_8c.html#a25e1f60dd77e50ae7ded44a431214c62">LCD_ClearScreen</a> (void)</td></tr>
<tr class="memdesc:a25e1f60dd77e50ae7ded44a431214c62"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear screen to background color.  <a href="../../da/d9b/lcd__driver_8c.html#a25e1f60dd77e50ae7ded44a431214c62">More...</a><br /></td></tr>
<tr class="separator:a25e1f60dd77e50ae7ded44a431214c62"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a415e838dfa3cab37cb26a9b8afea2ae0"><td class="memItemLeft" align="right" valign="top">const char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d9b/lcd__driver_8c.html#a415e838dfa3cab37cb26a9b8afea2ae0">Ascii</a> []</td></tr>
<tr class="separator:a415e838dfa3cab37cb26a9b8afea2ae0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >MINI51 series LCD Module library source file. </p>
<dl class="section version"><dt>Version</dt><dd>V0.10 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>9 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>13/11/07 4:40p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../da/d9b/lcd__driver_8c_source.html">lcd_driver.c</a>.</p>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a25e1f60dd77e50ae7ded44a431214c62" name="a25e1f60dd77e50ae7ded44a431214c62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25e1f60dd77e50ae7ded44a431214c62">&#9670;&nbsp;</a></span>LCD_ClearScreen()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LCD_ClearScreen </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Clear screen to background color. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/d9b/lcd__driver_8c_source.html#l00158">158</a> of file <a class="el" href="../../da/d9b/lcd__driver_8c_source.html">lcd_driver.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d9b/lcd__driver_8c_a25e1f60dd77e50ae7ded44a431214c62_cgraph.png" border="0" usemap="#ada/d9b/lcd__driver_8c_a25e1f60dd77e50ae7ded44a431214c62_cgraph" alt=""/></div>
<map name="ada/d9b/lcd__driver_8c_a25e1f60dd77e50ae7ded44a431214c62_cgraph" id="ada/d9b/lcd__driver_8c_a25e1f60dd77e50ae7ded44a431214c62_cgraph">
<area shape="rect" title="Clear screen to background color." alt="" coords="5,31,131,57"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html#a9a5df5d88ea29e720056407861871089" title="Configure start address of LCD." alt="" coords="179,5,257,32"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html#a60f7e004da7ab5f23d374ed1dd911518" title="Macro for SPI write method." alt="" coords="305,31,377,57"/>
</map>
</div>

</div>
</div>
<a id="abf0d70390244c023aed14e7b088d047a" name="abf0d70390244c023aed14e7b088d047a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf0d70390244c023aed14e7b088d047a">&#9670;&nbsp;</a></span>LCD_DisableBackLight()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LCD_DisableBackLight </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable back-light of LCD. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/d9b/lcd__driver_8c_source.html#l00128">128</a> of file <a class="el" href="../../da/d9b/lcd__driver_8c_source.html">lcd_driver.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d9b/lcd__driver_8c_abf0d70390244c023aed14e7b088d047a_cgraph.png" border="0" usemap="#ada/d9b/lcd__driver_8c_abf0d70390244c023aed14e7b088d047a_cgraph" alt=""/></div>
<map name="ada/d9b/lcd__driver_8c_abf0d70390244c023aed14e7b088d047a_cgraph" id="ada/d9b/lcd__driver_8c_abf0d70390244c023aed14e7b088d047a_cgraph">
<area shape="rect" title="Disable back&#45;light of LCD." alt="" coords="5,5,160,32"/>
<area shape="rect" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa2d25bd7fd805f81e465e5f2f0f43123" title="Set GPIO operation mode." alt="" coords="208,5,321,32"/>
</map>
</div>

</div>
</div>
<a id="a9283461e486666e1c2ddf4b0a7d66035" name="a9283461e486666e1c2ddf4b0a7d66035"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9283461e486666e1c2ddf4b0a7d66035">&#9670;&nbsp;</a></span>LCD_EnableBackLight()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LCD_EnableBackLight </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable back-light of LCD. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/d9b/lcd__driver_8c_source.html#l00117">117</a> of file <a class="el" href="../../da/d9b/lcd__driver_8c_source.html">lcd_driver.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d9b/lcd__driver_8c_a9283461e486666e1c2ddf4b0a7d66035_cgraph.png" border="0" usemap="#ada/d9b/lcd__driver_8c_a9283461e486666e1c2ddf4b0a7d66035_cgraph" alt=""/></div>
<map name="ada/d9b/lcd__driver_8c_a9283461e486666e1c2ddf4b0a7d66035_cgraph" id="ada/d9b/lcd__driver_8c_a9283461e486666e1c2ddf4b0a7d66035_cgraph">
<area shape="rect" title="Enable back&#45;light of LCD." alt="" coords="5,5,157,32"/>
<area shape="rect" href="../../d2/d01/group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa2d25bd7fd805f81e465e5f2f0f43123" title="Set GPIO operation mode." alt="" coords="205,5,319,32"/>
</map>
</div>

</div>
</div>
<a id="aa53c9d40f3aa552a9974cd55ac510cb3" name="aa53c9d40f3aa552a9974cd55ac510cb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa53c9d40f3aa552a9974cd55ac510cb3">&#9670;&nbsp;</a></span>LCD_Init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LCD_Init </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use SPI interface to configure LCD module. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/d9b/lcd__driver_8c_source.html#l00035">35</a> of file <a class="el" href="../../da/d9b/lcd__driver_8c_source.html">lcd_driver.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d9b/lcd__driver_8c_aa53c9d40f3aa552a9974cd55ac510cb3_cgraph.png" border="0" usemap="#ada/d9b/lcd__driver_8c_aa53c9d40f3aa552a9974cd55ac510cb3_cgraph" alt=""/></div>
<map name="ada/d9b/lcd__driver_8c_aa53c9d40f3aa552a9974cd55ac510cb3_cgraph" id="ada/d9b/lcd__driver_8c_aa53c9d40f3aa552a9974cd55ac510cb3_cgraph">
<area shape="rect" title="Use SPI interface to configure LCD module." alt="" coords="5,5,76,32"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html#a60f7e004da7ab5f23d374ed1dd911518" title="Macro for SPI write method." alt="" coords="124,5,196,32"/>
</map>
</div>

</div>
</div>
<a id="a94fbeb72dc11e70385bf5e3730fddf33" name="a94fbeb72dc11e70385bf5e3730fddf33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94fbeb72dc11e70385bf5e3730fddf33">&#9670;&nbsp;</a></span>LCD_Print()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void LCD_Print </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>str</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Show a string on specific line. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">line</td><td>Line number </td></tr>
    <tr><td class="paramname">str</td><td>string </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/d9b/lcd__driver_8c_source.html#l00140">140</a> of file <a class="el" href="../../da/d9b/lcd__driver_8c_source.html">lcd_driver.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d9b/lcd__driver_8c_a94fbeb72dc11e70385bf5e3730fddf33_cgraph.png" border="0" usemap="#ada/d9b/lcd__driver_8c_a94fbeb72dc11e70385bf5e3730fddf33_cgraph" alt=""/></div>
<map name="ada/d9b/lcd__driver_8c_a94fbeb72dc11e70385bf5e3730fddf33_cgraph" id="ada/d9b/lcd__driver_8c_a94fbeb72dc11e70385bf5e3730fddf33_cgraph">
<area shape="rect" title="Show a string on specific line." alt="" coords="5,31,87,57"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html#a1dfcd39fc3529f25c6ff7e935301b91a" title="Show a char on LCD." alt="" coords="135,31,216,57"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html#a9a5df5d88ea29e720056407861871089" title="Configure start address of LCD." alt="" coords="264,5,343,32"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html#a60f7e004da7ab5f23d374ed1dd911518" title="Macro for SPI write method." alt="" coords="391,31,463,57"/>
</map>
</div>

</div>
</div>
<a id="a9a5df5d88ea29e720056407861871089" name="a9a5df5d88ea29e720056407861871089"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a5df5d88ea29e720056407861871089">&#9670;&nbsp;</a></span>SetPACA()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void SetPACA </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>PA</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>CA</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Configure start address of LCD. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">PA</td><td>PA value for LCD </td></tr>
    <tr><td class="paramname">CA</td><td>CA value for LCD </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/d9b/lcd__driver_8c_source.html#l00072">72</a> of file <a class="el" href="../../da/d9b/lcd__driver_8c_source.html">lcd_driver.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d9b/lcd__driver_8c_a9a5df5d88ea29e720056407861871089_cgraph.png" border="0" usemap="#ada/d9b/lcd__driver_8c_a9a5df5d88ea29e720056407861871089_cgraph" alt=""/></div>
<map name="ada/d9b/lcd__driver_8c_a9a5df5d88ea29e720056407861871089_cgraph" id="ada/d9b/lcd__driver_8c_a9a5df5d88ea29e720056407861871089_cgraph">
<area shape="rect" title="Configure start address of LCD." alt="" coords="5,5,84,32"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html#a60f7e004da7ab5f23d374ed1dd911518" title="Macro for SPI write method." alt="" coords="132,5,204,32"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d9b/lcd__driver_8c_a9a5df5d88ea29e720056407861871089_icgraph.png" border="0" usemap="#ada/d9b/lcd__driver_8c_a9a5df5d88ea29e720056407861871089_icgraph" alt=""/></div>
<map name="ada/d9b/lcd__driver_8c_a9a5df5d88ea29e720056407861871089_icgraph" id="ada/d9b/lcd__driver_8c_a9a5df5d88ea29e720056407861871089_icgraph">
<area shape="rect" title="Configure start address of LCD." alt="" coords="308,31,387,57"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html#a25e1f60dd77e50ae7ded44a431214c62" title="Clear screen to background color." alt="" coords="135,5,260,32"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html#a1dfcd39fc3529f25c6ff7e935301b91a" title="Show a char on LCD." alt="" coords="157,56,238,83"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html#a94fbeb72dc11e70385bf5e3730fddf33" title="Show a string on specific line." alt="" coords="5,56,87,83"/>
</map>
</div>

</div>
</div>
<a id="a1dfcd39fc3529f25c6ff7e935301b91a" name="a1dfcd39fc3529f25c6ff7e935301b91a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1dfcd39fc3529f25c6ff7e935301b91a">&#9670;&nbsp;</a></span>ShowChar()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void ShowChar </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>ascii_word</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Show a char on LCD. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td>X position </td></tr>
    <tr><td class="paramname">y</td><td>Y position </td></tr>
    <tr><td class="paramname">ascii_word</td><td>ASCII character that will be shown on LCD </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/d9b/lcd__driver_8c_source.html#l00091">91</a> of file <a class="el" href="../../da/d9b/lcd__driver_8c_source.html">lcd_driver.c</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d9b/lcd__driver_8c_a1dfcd39fc3529f25c6ff7e935301b91a_cgraph.png" border="0" usemap="#ada/d9b/lcd__driver_8c_a1dfcd39fc3529f25c6ff7e935301b91a_cgraph" alt=""/></div>
<map name="ada/d9b/lcd__driver_8c_a1dfcd39fc3529f25c6ff7e935301b91a_cgraph" id="ada/d9b/lcd__driver_8c_a1dfcd39fc3529f25c6ff7e935301b91a_cgraph">
<area shape="rect" title="Show a char on LCD." alt="" coords="5,31,87,57"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html#a9a5df5d88ea29e720056407861871089" title="Configure start address of LCD." alt="" coords="135,5,213,32"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html#a60f7e004da7ab5f23d374ed1dd911518" title="Macro for SPI write method." alt="" coords="261,31,333,57"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d9b/lcd__driver_8c_a1dfcd39fc3529f25c6ff7e935301b91a_icgraph.png" border="0" usemap="#ada/d9b/lcd__driver_8c_a1dfcd39fc3529f25c6ff7e935301b91a_icgraph" alt=""/></div>
<map name="ada/d9b/lcd__driver_8c_a1dfcd39fc3529f25c6ff7e935301b91a_icgraph" id="ada/d9b/lcd__driver_8c_a1dfcd39fc3529f25c6ff7e935301b91a_icgraph">
<area shape="rect" title="Show a char on LCD." alt="" coords="135,5,216,32"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html#a94fbeb72dc11e70385bf5e3730fddf33" title="Show a string on specific line." alt="" coords="5,5,87,32"/>
</map>
</div>

</div>
</div>
<a id="a60f7e004da7ab5f23d374ed1dd911518" name="a60f7e004da7ab5f23d374ed1dd911518"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60f7e004da7ab5f23d374ed1dd911518">&#9670;&nbsp;</a></span>SpiWrite()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static __INLINE void SpiWrite </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Macro for SPI write method. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u32Data</td><td>Data will be written by SPI </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/d9b/lcd__driver_8c_source.html#l00022">22</a> of file <a class="el" href="../../da/d9b/lcd__driver_8c_source.html">lcd_driver.c</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d9b/lcd__driver_8c_a60f7e004da7ab5f23d374ed1dd911518_icgraph.png" border="0" usemap="#ada/d9b/lcd__driver_8c_a60f7e004da7ab5f23d374ed1dd911518_icgraph" alt=""/></div>
<map name="ada/d9b/lcd__driver_8c_a60f7e004da7ab5f23d374ed1dd911518_icgraph" id="ada/d9b/lcd__driver_8c_a60f7e004da7ab5f23d374ed1dd911518_icgraph">
<area shape="rect" title="Macro for SPI write method." alt="" coords="435,49,507,76"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html#a25e1f60dd77e50ae7ded44a431214c62" title="Clear screen to background color." alt="" coords="135,49,260,76"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html#aa53c9d40f3aa552a9974cd55ac510cb3" title="Use SPI interface to configure LCD module." alt="" coords="312,24,383,51"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html#a9a5df5d88ea29e720056407861871089" title="Configure start address of LCD." alt="" coords="308,75,387,101"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html#a1dfcd39fc3529f25c6ff7e935301b91a" title="Show a char on LCD." alt="" coords="157,112,238,139"/>
<area shape="rect" href="../../da/d9b/lcd__driver_8c.html#a94fbeb72dc11e70385bf5e3730fddf33" title="Show a string on specific line." alt="" coords="5,112,87,139"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a415e838dfa3cab37cb26a9b8afea2ae0" name="a415e838dfa3cab37cb26a9b8afea2ae0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a415e838dfa3cab37cb26a9b8afea2ae0">&#9670;&nbsp;</a></span>Ascii</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char Ascii[]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">extern</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >ASCII table for LCD driver </p>

<p class="definition">Definition at line <a class="el" href="../../d3/db0/ascii__table_8c_source.html#l00014">14</a> of file <a class="el" href="../../d3/db0/ascii__table_8c_source.html">ascii_table.c</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:39 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
